Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List subscriptions

Returns a paginated list of webhook subscriptions for a shop.

GET/hub/{shop_id}/subscriptions
Authorization
AuthorizationBearer token (JWT) · headerrequired
OAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Path parameters
shop_idintegerrequired
Query parameters
pageinteger
Page number
default: 1
per_pageinteger
Items per page
default: 50
statusstring
Allowed:pendingactivefailed_activationfaileddisabled
Responses
200Paginated subscriptions list
total_itemsinteger
pageinteger
per_pageinteger
_linksobject
Show properties
selfHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
nextHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
lastHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
_embeddedobject
Show properties
itemsSubscription[]
Show properties
Array of Subscription
idinteger
statusstring
Allowed:pendingactivefailed_activationfaileddisabled
topicstring
urlstring
notify_originboolean
authSubscriptionAuth
Show properties
typestring
Allowed:nonebasic
usernamestring
passwordstring
error_countinteger
last_errorstring | null
created_onstring<date-time>
updated_onstring<date-time>
_linksobject
Request
curl -X GET "https://api.onbolder.com/v1/hub/0/subscriptions" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 0,
        "status": "pending",
        "topic": "string",
        "url": "string",
        "notify_origin": true,
        "auth": {
          "type": "none",
          "username": "string",
          "password": "string"
        },
        "error_count": 0,
        "last_error": "string",
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {}
      }
    ]
  }
}